//---------------------------------------------------------------------------
#ifndef CpkKeyWinsH
#define CpkKeyWinsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include "explbtn.hpp"
#include <vcl\ComCtrls.hpp>
#include <vcl\Menus.hpp>
#include "MixKeyWins.h"
#include "PGPbuffers.h"
//---------------------------------------------------------------------------
class TCpkKeyList : public TMixKeyList
{
   TPGPbuffer *cpkkeys;
public:
   virtual __fastcall TCpkKeyList();
   virtual __fastcall TCpkKeyList(AnsiString Filename);
   virtual __fastcall TCpkKeyList(TStrings *AsciiBlock);
   virtual __fastcall~TCpkKeyList();
   virtual bool __fastcall GetNextKey(AnsiString &keydesc,TStrings *key,TStrings *keys);
   virtual void __fastcall GenTreeView(TTreeView *TreeView, TStrings *type1, TList *keys);
   virtual AnsiString __fastcall KeyDesc(int atPos);
   AnsiString __fastcall FullDesc(int atPos);
   virtual int __fastcall AddAscii(TStrings *Ascii);
   virtual void __fastcall LoadFromStrings(TStrings *Strings);
   int __fastcall TimeStamp(AnsiString keydesc);
   int __fastcall TimeStamp(int atPos);
};

class TCpkKeyWin : public TMixKeyWin
{
__published:	// IDE-managed Components
   TImageList *ImageList2;
   void __fastcall RemailerDocItemClick(TObject *Sender);
   void __fastcall Timer1Timer(TObject *Sender);
   void __fastcall ImportBtnClick(TObject *Sender);
   void __fastcall HelpBtnClick(TObject *Sender);
	
	
	
	
private:	// User declarations
public:		// User declarations
   bool initdone;
   AnsiString lstfile;
   virtual __fastcall TCpkKeyWin(TComponent* Owner);
   virtual __fastcall TCpkKeyWin(TComponent* Owner, AnsiString KeyFile, AnsiString TypFile,
      AnsiString ListFile);
   virtual __fastcall~TCpkKeyWin();
   int  __fastcall AddAscii(TStrings *ascii);
   void __fastcall AddKeysImport(TCpkKeyList *newkeys);
   void __fastcall AddDupsImport(TCpkKeyList *dupkeys);
   bool __fastcall EnabledDesc(AnsiString &keydesc);
   int  __fastcall TimeStamp(AnsiString &keydesc);
};
//---------------------------------------------------------------------------
extern TCpkKeyWin *CpkKeyWin;
//---------------------------------------------------------------------------
#endif
